cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-13818) Need to update android_sdk.js to Support Android 8.0
Date Fri, 26 Jan 2018 06:46:00 GMT

    [ https://issues.apache.org/jira/browse/CB-13818?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16340624#comment-16340624
] 

ASF GitHub Bot commented on CB-13818:
-------------------------------------

codecov-io commented on issue #431: CB-13818: (android) Update android_sdk.js to support Android
Oreo 8.0 (API 26) emulator
URL: https://github.com/apache/cordova-android/pull/431#issuecomment-360697826
 
 
   # [Codecov](https://codecov.io/gh/apache/cordova-android/pull/431?src=pr&el=h1) Report
   > Merging [#431](https://codecov.io/gh/apache/cordova-android/pull/431?src=pr&el=desc)
into [master](https://codecov.io/gh/apache/cordova-android/commit/cc08e9d84a3f7cf76a623006c6a7e48814d74cec?src=pr&el=desc)
will **not change** coverage.
   > The diff coverage is `n/a`.
   
   [![Impacted file tree graph](https://codecov.io/gh/apache/cordova-android/pull/431/graphs/tree.svg?height=150&width=650&token=q14nMf6C5a&src=pr)](https://codecov.io/gh/apache/cordova-android/pull/431?src=pr&el=tree)
   
   ```diff
   @@           Coverage Diff           @@
   ##           master     #431   +/-   ##
   =======================================
     Coverage   43.95%   43.95%           
   =======================================
     Files          17       17           
     Lines        1711     1711           
     Branches      318      318           
   =======================================
     Hits          752      752           
     Misses        959      959
   ```
   
   
   | [Impacted Files](https://codecov.io/gh/apache/cordova-android/pull/431?src=pr&el=tree)
| Coverage Δ | |
   |---|---|---|
   | [bin/templates/cordova/lib/android\_sdk.js](https://codecov.io/gh/apache/cordova-android/pull/431/diff?src=pr&el=tree#diff-YmluL3RlbXBsYXRlcy9jb3Jkb3ZhL2xpYi9hbmRyb2lkX3Nkay5qcw==)
| `73.52% <ø> (ø)` | :arrow_up: |
   
   ------
   
   [Continue to review full report at Codecov](https://codecov.io/gh/apache/cordova-android/pull/431?src=pr&el=continue).
   > **Legend** - [Click here to learn more](https://docs.codecov.io/docs/codecov-delta)
   > `Δ = absolute <relative> (impact)`, `ø = not affected`, `? = missing data`
   > Powered by [Codecov](https://codecov.io/gh/apache/cordova-android/pull/431?src=pr&el=footer).
Last update [cc08e9d...8563c8b](https://codecov.io/gh/apache/cordova-android/pull/431?src=pr&el=lastupdated).
Read the [comment docs](https://docs.codecov.io/docs/pull-request-comments).
   

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


> Need to update android_sdk.js to Support Android 8.0 
> -----------------------------------------------------
>
>                 Key: CB-13818
>                 URL: https://issues.apache.org/jira/browse/CB-13818
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: cordova-android
>    Affects Versions: cordova-android-7.0.0
>         Environment: Cordova 7.1.0
>  
>            Reporter: Zhao Bin
>            Assignee: Joe Bowser
>            Priority: Critical
>              Labels: easyfix
>             Fix For: cordova-android-7.0.0
>
>         Attachments: android_sdk.js error.png
>
>
> Currently I am working on a Cordova project and I am migrating to the new Android
8.0 emulator.
> Need to update android_sdk.js to add support for Android 8.0 emulator 
> cordova-android / bin / templates / cordova / lib / android_sdk.js Line 53:
> module.exports.version_string_to_api_level = {
>     '4.0': 14,
>     '4.0.3': 15,
>     '4.1': 16,
>     '4.2': 17,
>     '4.3': 18,
>     '4.4': 19,
>     '4.4W': 20,
>     '5.0': 21,
>     '5.1': 22,
>     '6.0': 23,
>     '7.0': 24,
>     '7.1.1': 25
> };
> This causes exception in emulator.js Line 210
> {color:#5fdfff}var{color}{color:#dfdfdf} project_target {color}{color:#ff1f7f}={color}{color:#dfdfdf}
check_reqs.{color}{color:#9fdf2f}get_target{color}{color:#dfdfdf}().{color}{color:#5fdfff}replace{color}{color:#dfdfdf}({color}{color:#dfdf7f}'android-'{color}{color:#dfdfdf},
{color}{color:#dfdf7f}''{color}{color:#dfdfdf});{color}
>  
> {color:#333333}I added '8.0': 26 in android_sdk.js and then it works.{color}
> {color:#333333}module.exports.version_string_to_api_level = {
>     '4.0': 14,
>     '4.0.3': 15,
>     '4.1': 16,
>     '4.2': 17,
>     '4.3': 18,
>     '4.4': 19,
>     '4.4W': 20,
>     '5.0': 21,
>     '5.1': 22,
>     '6.0': 23,
>     '7.0': 24,
>     '7.1.1': 25,{color}
> {color:#333333}    '8.0': 26 
> };{color}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message